Update phone call
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/phone-calls/{call_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>",
"action_items": [
{
"description": "<string>",
"completed": true
}
]
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/phone-calls/{call_id}"
payload = {
"notes": "<string>",
"action_items": [
{
"description": "<string>",
"completed": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>', action_items: [{description: '<string>', completed: true}]})
};
fetch('https://api.example.com/v1/cases/{case_id}/phone-calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K8PC05EJ4T11HRYE78AN7EEE",
"institution_contact_id": "<string>",
"to_number": "+11112223333",
"from_number": "+11112223333",
"status": "completed",
"direction": "outbound",
"duration_seconds": 342,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"recording_url": "<string>",
"recording_duration_seconds": 123,
"recording_status": "completed",
"transcript": "<string>",
"summary": "Called Chase estate services. Spoke with John Johnson. He confirmed they received the death certificate. Letters Testamentary are still needed before they can release account info. Ref# EST-2025-00456.",
"action_items": [
{
"description": "Mail Letters Testamentary to Chase Estate Services",
"completed": false
}
],
"called_by": "<string>",
"twilio_call_sid": "CAxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Phone Calls
Update phone call
Update phone call notes or action item completion status.
PATCH
/
cases
/
{case_id}
/
phone-calls
/
{call_id}
Update phone call
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Phone call updated.
Show child attributes
Show child attributes
⌘I

